Create Report Share Requests
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/report-generations/shares \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "<string>",
"projectId": "<string>",
"scope": {
"mode": "explicit",
"slotIds": [
"<string>"
]
},
"locale": "en",
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/report-generations/shares"
payload = {
"templateId": "<string>",
"projectId": "<string>",
"scope": {
"mode": "explicit",
"slotIds": ["<string>"]
},
"locale": "en",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
projectId: '<string>',
scope: {mode: 'explicit', slotIds: ['<string>']},
locale: 'en',
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/report-generations/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Report Share Requests
Create Report Share Requests
POST
/
v1
/
workspaces
/
{workspaceId}
/
report-generations
/
shares
Create Report Share Requests
Path Parameters
Body
application/json
Minimum string length:
1Minimum string length:
1- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Available options:
en, es, zh, ja, fr, de Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Response
201 - application/json
The response is of type object.
⌘I